Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jpa.vendor
Class TopLinkJpaVendorAdapter

    java.lang.Object
      org.springframework.orm.jpa.vendor.AbstractJpaVendorAdapter
          org.springframework.orm.jpa.vendor.TopLinkJpaVendorAdapter

All Implemented Interfaces:
  JpaVendorAdapter

Deprecated. as of Spring 3.1, in favor of the EclipseLink project and Spring's corresponding `EclipseLinkJpaVendorAdapter`

    @Deprecated
    public class TopLinkJpaVendorAdapter

extends AbstractJpaVendorAdapter

`JpaVendorAdapter` implementation for Oracle TopLink Essentials. Developed and tested against TopLink Essentials v2.

Exposes TopLink's persistence provider and EntityManager extension interface, and supports `AbstractJpaVendorAdapter`'s common configuration settings.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `EntityManagerFactoryProvider`, `EntityManager`

Constructor Summary
`TopLinkJpaVendorAdapter()` Deprecated.

Method Summary
`protected String` | `determineTargetDatabaseName(Database database)` Deprecated. Determine the TopLink target database name for the given database.
`Class<? extends EntityManager>` | `getEntityManagerInterface()` Deprecated. Return the vendor-specific EntityManager interface that this provider's EntityManagers will implement.
`JpaDialect` | `getJpaDialect()` Deprecated. Return the vendor-specific JpaDialect implementation for this provider, or `null` if there is none.
`Map<String,Object>` | `getJpaPropertyMap()` Deprecated. Return a Map of vendor-specific JPA properties, typically based on settings in this JpaVendorAdapter instance.
`PersistenceProvider` | `getPersistenceProvider()` Deprecated. Return the vendor-specific persistence provider.
`String` | `getPersistenceProviderRootPackage()` Deprecated. Return the name of the persistence provider's root package (e.g.

Methods inherited from class org.springframework.orm.jpa.vendor.AbstractJpaVendorAdapter
`getDatabase, getDatabasePlatform, getEntityManagerFactoryInterface, isGenerateDdl, isShowSql, postProcessEntityManagerFactory, setDatabase, setDatabasePlatform, setGenerateDdl, setShowSql`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopLinkJpaVendorAdapter

    public TopLinkJpaVendorAdapter()

  Deprecated.

Method Detail

### getPersistenceProvider

    public PersistenceProvider getPersistenceProvider()

  Deprecated.
  Description copied from interface: `JpaVendorAdapter`
  Return the vendor-specific persistence provider.

### getPersistenceProviderRootPackage

    public String getPersistenceProviderRootPackage()

  Deprecated.
  Description copied from interface: `JpaVendorAdapter`
  Return the name of the persistence provider's root package (e.g. "oracle.toplink.essentials"). Will be used for excluding provider classes from temporary class overriding.

  Specified by:
    `getPersistenceProviderRootPackage` in interface `JpaVendorAdapter`
  Overrides:
    `getPersistenceProviderRootPackage` in class `AbstractJpaVendorAdapter`

### getJpaPropertyMap

    public Map<String,Object> getJpaPropertyMap()

  Deprecated.
  Description copied from interface: `JpaVendorAdapter`
  Return a Map of vendor-specific JPA properties, typically based on settings in this JpaVendorAdapter instance.

  Note that there might be further JPA properties defined on the EntityManagerFactory bean, which might potentially override individual JPA property values specified here.

  Specified by:
    `getJpaPropertyMap` in interface `JpaVendorAdapter`
  Overrides:
    `getJpaPropertyMap` in class `AbstractJpaVendorAdapter`
  Returns:
    a Map of JPA properties, as as accepted by the standard JPA bootstrap facilities, or `null` or an empty Map if there are no such properties to expose
  See Also:
    `Persistence.createEntityManagerFactory(String, java.util.Map)`, `PersistenceProvider.createContainerEntityManagerFactory(javax.persistence.spi.PersistenceUnitInfo, java.util.Map)`

### determineTargetDatabaseName

    protected String determineTargetDatabaseName(Database database)

  Deprecated.
  Determine the TopLink target database name for the given database.

  Parameters:
    `database` - the specified database
  Returns:
    the TopLink target database name, or `null`if none found``

### getJpaDialect

    public JpaDialect getJpaDialect()

  Deprecated.
  Description copied from interface: `JpaVendorAdapter`
  Return the vendor-specific JpaDialect implementation for this provider, or `null` if there is none.

  Specified by:
    `getJpaDialect` in interface `JpaVendorAdapter`
  Overrides:
    `getJpaDialect` in class `AbstractJpaVendorAdapter`

### getEntityManagerInterface

    public Class<? extends EntityManager> getEntityManagerInterface()

  Deprecated.
  Description copied from interface: `JpaVendorAdapter`
  Return the vendor-specific EntityManager interface that this provider's EntityManagers will implement.

  If the provider does not offer any EntityManager extensions, the adapter should simply return the standard `EntityManager` class here.

  Specified by:
    `getEntityManagerInterface` in interface `JpaVendorAdapter`
  Overrides:
    `getEntityManagerInterface` in class `AbstractJpaVendorAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD